:class:`AudioDeviceInfo` and :class:`AudioDeviceStatus` - descriptors for audio devices
---------------------------------------------------------------------------------------

These classes are used to store information about audio devices and their
status. Only a subset of PsychoPy's sound API currently use these classes, such
as the :class:`psychopy.sound.Microphone` class.

Overview
========

.. currentmodule:: psychopy.sound

.. autosummary::
    AudioDeviceInfo
    AudioDeviceStatus

Details
=======

.. autoclass:: AudioDeviceInfo
    :members:
    :undoc-members:
    :inherited-members:

.. autoclass:: AudioDeviceStatus
    :members:
    :undoc-members:
    :inherited-members:
